stages:
  - deploy

conda-build-job:
  stage: deploy
  image: dominikbattefeld/miniconda3-build:conda-22.9.0
  # Some information for debugging
  before_script:
    - conda --version
    - conda list

  # The actual call to build the package
  script:
    - conda build conda.recipe/

  # The path of job artifacts has to be relative to and be a child of our project directory.
  # Thus, to upload our package as job artifact, we need to copy the output of conda build to our working directory.
  after_script:
    - cp -r /opt/conda/conda-bld conda-build-output
  artifacts:
    paths:
      - conda-build-output/*
